unit ImgFilter;

interface

uses NLib;

type
  TImgInfo = record
    Bpp: Cardinal;
    FormatName: string;
    Comment: string;
  end;

  TImgFilterClass = class of TImgFilter;
  TImgFilter = class(TObject)
  protected
    FName: string;
  public
    constructor Create; virtual;
    function Test(Buf: PChar; BufSize: Cardinal): Boolean; virtual; abstract;
    procedure GetSize(Buf: PChar; BufSize: Cardinal;
      var Width: Cardinal; var Height: Cardinal;
      var Components: Cardinal); virtual; abstract;
    procedure Decode(InBuf: PChar; InBufSize: Cardinal; OutBuf: PChar;
      OutBufSize: Cardinal; var ImgInfo: TImgInfo); virtual; abstract;
    property Name: string read FName;
  end;

  EImgFilterError = class(Exception);

implementation

constructor TImgFilter.Create;
begin
end;

end.
